# libJPEG v9d (a.k.a. 9.2) sources for Casio Graph 90+E and Prizm CG10/20

Need to have a fully working gcc toolchain for SH3/SH4 architecture.

You can use the `giteapc install Slyvtt/cJPEG` command to get an automatic install

## Using in a program

With CMake

```cmake
find_package(cJPEG 9.2 REQUIRED)
target_link_libraries(<TARGET> PRIVATE cJPEG::cJPEG)
```


With make, the following steps are not automatically done, so please proceed with the following manipulations :
* copy the library libcJPG.a into your SH3/SH4 compiler lib folder
* copy header files (`jpeglib.h`, `jconfig.h`, `jmorecfg.h` and `jerror.h` ) contained in the folder into the include folder of the SH3/SH4 compiler
* link with `-lcJPEG`

In the C/C++ sources, add `#include <jpeglib.h>` (you may also add `#include <jerror.h>`)

